Subject: Re: Pending cases
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Tue, 14 Jan 2020 10:06:59 -0700 (MST)

you selected the shipping method, instead of to be determined and attach pics also if there's one. 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Saturday, 11 January, 2020 20:20:06 
Subject: Pending cases 

SO1407082 - I created this sales order on 12/18 but still it is pending and the customer keeps asking why it is taking so much time. 

-------------------------------------------------------- 
[ https://277620.app.netsuite.com/app/accounting/transactions/salesord.nl?id=80526998&whence= | https://277620.app.netsuite.com/app/accounting/transactions/salesord.nl?id=80526998&whence= ] 
This paid SO was created on 11/18 and the customer hasn't responded to the invoice was sent to him, under SO it is mentioned it says cancel this one as he hasn't responded yet but now after many days, he says I want to buy it. Should I close this SO and give him the link to buy? 
--------------------------------------------------------